Index: trunk/examples/extended/medical/DICOM/src/DicomNestedPhantomParameterisation.cc
===================================================================
--- trunk/examples/extended/medical/DICOM/src/DicomNestedPhantomParameterisation.cc	(revision 1187)
+++ trunk/examples/extended/medical/DICOM/src/DicomNestedPhantomParameterisation.cc	(revision 1230)
@@ -24,5 +24,8 @@
 // ********************************************************************
 //
-///////////////////////////////////////////////////////////////////////////////
+// $Id: DicomNestedPhantomParameterisation.cc,v 1.5 2009/01/27 10:44:58 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
+//
+// --------------------------------------------------------------------
 #include "DicomNestedPhantomParameterisation.hh"
 
@@ -34,12 +37,13 @@
 #include "G4Material.hh"
 
-DicomNestedPhantomParameterisation::DicomNestedPhantomParameterisation(
-						     const G4ThreeVector& voxelSize,
-						     std::vector<G4Material*>& mat):
-  G4VNestedParameterisation(),fdX(voxelSize.x()),fdY(voxelSize.y()),fdZ(voxelSize.z()),fMaterials(mat)
+DicomNestedPhantomParameterisation::
+DicomNestedPhantomParameterisation(const G4ThreeVector& voxelSize,
+                                         std::vector<G4Material*>& mat):
+  G4VNestedParameterisation(), fdX(voxelSize.x()),
+  fdY(voxelSize.y()), fdZ(voxelSize.z()), fMaterials(mat)
 {
   // Position of voxels. 
-  // x and y positions are already defined in DetectorConstruction 
-  // by using replicated volume. Here only we need to define is z positions of voxes.
+  // x and y positions are already defined in DetectorConstruction by using
+  // replicated volume. Here only we need to define is z positions of voxels.
 }
 
@@ -48,5 +52,6 @@
 }
 
-void DicomNestedPhantomParameterisation::SetNoVoxel( size_t nx, size_t ny, size_t nz )
+void DicomNestedPhantomParameterisation::
+SetNoVoxel( size_t nx, size_t ny, size_t nz )
 {
   fnX = nx;
@@ -58,9 +63,12 @@
 // Material assignment to geometry.
 //
-G4Material* DicomNestedPhantomParameterisation::ComputeMaterial(G4VPhysicalVolume* ,
-							 const G4int copyNoZ, 
-							 const G4VTouchable* parentTouch)
+G4Material* DicomNestedPhantomParameterisation::
+ComputeMaterial(G4VPhysicalVolume*, const G4int copyNoZ, 
+                                    const G4VTouchable* parentTouch)
 {
-  if(parentTouch==0) return fMaterials[0]; // protection for initialization and vis at idle state
+  // protection for initialization and vis at idle state
+  //
+  if(parentTouch==0) return fMaterials[0];
+
   // Copy number of voxels. 
   // Copy number of X and Y are obtained from replication number.
@@ -70,10 +78,9 @@
   G4int iz = copyNoZ;
 
-  G4int copyNo = ix + fnZ*iy + fnX*fnY*iz;
+  G4int copyNo = ix + fnX*iy + fnX*fnY*iz;
 
   size_t matIndex = GetMaterialIndex(copyNo);
 
   return fMaterials[ matIndex ];
-
 }
 
@@ -86,8 +93,10 @@
 
 //
-//  Number of Materials
-//  Material scanner is required for preparing physics tables and so on before 
-//  stating simulation, so that G4 has to know number of materials.
-G4int       DicomNestedPhantomParameterisation::GetNumberOfMaterials() const{
+// Number of Materials
+// Material scanner is required for preparing physics tables and so on before 
+// starting simulation, so that G4 has to know number of materials.
+//
+G4int DicomNestedPhantomParameterisation::GetNumberOfMaterials() const
+{
   return fMaterials.size();
 }
@@ -97,5 +106,6 @@
 //  This is needed for material scanner and realizing geometry.
 //
-G4Material* DicomNestedPhantomParameterisation::GetMaterial(G4int i) const{
+G4Material* DicomNestedPhantomParameterisation::GetMaterial(G4int i) const
+{
   return fMaterials[i];
 }
@@ -104,8 +114,8 @@
 // Transformation of voxels.
 //
-void DicomNestedPhantomParameterisation::ComputeTransformation(const G4int copyNo, 
-						  G4VPhysicalVolume* physVol)const{
+void DicomNestedPhantomParameterisation::
+ComputeTransformation(const G4int copyNo, G4VPhysicalVolume* physVol) const
+{
   G4ThreeVector position(0.,0.,(2*copyNo+1)*fdZ - fdZ*fnZ);
-
   physVol->SetTranslation(position);
 }
@@ -114,7 +124,7 @@
 // Dimensions are always same in this RE02 example.
 //
-void DicomNestedPhantomParameterisation::ComputeDimensions(G4Box& box, 
-					       const G4int ,
-					       const G4VPhysicalVolume* ) const{
+void DicomNestedPhantomParameterisation::
+ComputeDimensions( G4Box& box, const G4int, const G4VPhysicalVolume* ) const
+{
   box.SetXHalfLength(fdX);
   box.SetYHalfLength(fdY);
Index: trunk/examples/extended/medical/DICOM/src/DicomPhysicsList.cc
===================================================================
--- trunk/examples/extended/medical/DICOM/src/DicomPhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/medical/DICOM/src/DicomPhysicsList.cc	(revision 1230)
@@ -54,6 +54,6 @@
 DicomPhysicsList::DicomPhysicsList():  G4VUserPhysicsList()
 {
-  defaultCutValue = 1.e-3*mm;
-  cutForGamma     = 1.e-3*mm;
+  defaultCutValue = 1.*mm;
+  cutForGamma     = 1.*mm;
   cutForElectron  = defaultCutValue;
   cutForPositron  = defaultCutValue;
Index: trunk/examples/extended/medical/DICOM/src/DicomPrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/medical/DICOM/src/DicomPrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/medical/DICOM/src/DicomPrimaryGeneratorAction.cc	(revision 1230)
@@ -65,11 +65,15 @@
   G4String particleName;
   G4ParticleDefinition* particle
-    = particleTable->FindParticle(particleName="gamma");
+    = particleTable->FindParticle(particleName="e-");
   particleGun->SetParticleDefinition(particle);
-  G4ThreeVector dir(2.*CLHEP::RandFlat::shoot()-1.,2.*CLHEP::RandFlat::shoot()-1.,2.*CLHEP::RandFlat::shoot()-1);
+  // put the e- in the x direction of the patient (z in the accelerator axs) to hit patient in the central slice of the phantom
+  G4ThreeVector dir(0,1,0);
+  //G4ThreeVector dir(2.*CLHEP::RandFlat::shoot()-1.,2.*CLHEP::RandFlat::shoot()-1.,-CLHEP::RandFlat::shoot());
   dir /= dir.mag();
   particleGun->SetParticleMomentumDirection(dir);       
   particleGun->SetParticleEnergy(5.*MeV);
-  particleGun->SetParticlePosition(G4ThreeVector(0.,0.,-20.)); // put it close to the patient voxels
+  //put it at SAD = 1 m on xy plane of central slice
+  particleGun->SetParticlePosition(G4ThreeVector(0.,-99.9*cm,-27.));
+  //particleGun->SetParticlePosition(G4ThreeVector(0.,0.,-22.));
   particleGun->GeneratePrimaryVertex(anEvent);
 }
Index: trunk/examples/extended/medical/DICOM/src/RegularDicomDetectorConstruction.cc
===================================================================
--- trunk/examples/extended/medical/DICOM/src/RegularDicomDetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/medical/DICOM/src/RegularDicomDetectorConstruction.cc	(revision 1230)
@@ -95,4 +95,6 @@
   //----- Set this physical volume as having a regular structure of type 1, so that G4RegularNavigation is used
   patient_phys->SetRegularStructureId(1); // if not set, G4VoxelNavigation will be used instead 
+
+  SetScorer(voxel_logic);
 }
 
Index: trunk/examples/extended/medical/DICOM/vis.mac
===================================================================
--- trunk/examples/extended/medical/DICOM/vis.mac	(revision 1187)
+++ trunk/examples/extended/medical/DICOM/vis.mac	(revision 1230)
@@ -3,5 +3,7 @@
 #visualisation
 /vis/scene/create
-/vis/open OGLSQT
+/vis/open OGLIX
+#/vis/open DAWNFILE
+/vis/open VRML2FILE
 /vis/viewer/update
 /vis/viewer/zoom 5
@@ -10,3 +12,4 @@
 /tracking/verbose 1
 /run/beamOn 10
+/vis/viewer/update
 
Index: trunk/examples/extended/medical/GammaTherapy/GNUmakefile
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/GNUmakefile	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.2 2006/11/16 14:42:20 vnivanch Exp $
+# $Id: GNUmakefile,v 1.3 2008/06/11 15:17:57 vnivanch Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -15,14 +15,5 @@
 all: lib bin
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
-
 include $(G4INSTALL)/config/architecture.gmk
-
-ifdef G4ANALYSIS_USE
-  CPPFLAGS   += `aida-config --include`
-  LOADLIBS   += `aida-config --lib`
-endif
 
 include $(G4INSTALL)/config/binmake.gmk
Index: trunk/examples/extended/medical/GammaTherapy/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/EventActionMessenger.hh	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/include/EventActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.2 2006/06/29 17:25:54 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterBuilder.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterBuilder.hh	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterBuilder.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StepLimiterBuilder.hh,v 1.2 2006/06/29 17:26:25 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterMessenger.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterMessenger.hh	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: G4StepLimiterMessenger.hh,v 1.2 2006/06/29 17:26:28 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterPerRegion.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterPerRegion.hh	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterPerRegion.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: G4StepLimiterPerRegion.hh,v 1.4 2007/05/16 16:27:53 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/include/ParticlesBuilder.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/ParticlesBuilder.hh	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/include/ParticlesBuilder.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: ParticlesBuilder.hh,v 1.2 2006/06/29 17:26:34 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/medical/GammaTherapy/include/PhysListEmLivermore.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/PhysListEmLivermore.hh	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/include/PhysListEmLivermore.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysListEmLivermore.hh,v 1.1 2006/11/16 14:42:20 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/include/PhysListEmPenelope.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/PhysListEmPenelope.hh	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/include/PhysListEmPenelope.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysListEmPenelope.hh,v 1.3 2006/11/16 14:42:20 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/PhysicsList.hh	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/include/PhysicsList.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsList.hh,v 1.6 2006/11/16 14:42:20 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Modified:
Index: trunk/examples/extended/medical/GammaTherapy/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/PhysicsListMessenger.hh	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/include/PhysicsListMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.3 2006/06/29 17:26:41 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/EventActionMessenger.cc	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/src/EventActionMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.2 2006/06/29 17:27:19 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterBuilder.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterBuilder.cc	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterBuilder.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StepLimiterBuilder.cc,v 1.3 2006/06/29 17:27:48 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //---------------------------------------------------------------------------
Index: trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterMessenger.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterMessenger.cc	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: G4StepLimiterMessenger.cc,v 1.2 2006/06/29 17:27:50 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterPerRegion.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterPerRegion.cc	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterPerRegion.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: G4StepLimiterPerRegion.cc,v 1.4 2007/05/16 16:27:53 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/src/ParticlesBuilder.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/ParticlesBuilder.cc	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/src/ParticlesBuilder.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: ParticlesBuilder.cc,v 1.3 2006/06/29 17:27:56 gunter Exp $
-// GEANT4 tag $Name:  $ 
+// GEANT4 tag $Name: geant4-09-03-cand-01 $ 
 //
 //---------------------------------------------------------------------------
Index: trunk/examples/extended/medical/GammaTherapy/src/PhysListEmLivermore.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/PhysListEmLivermore.cc	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/src/PhysListEmLivermore.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysListEmLivermore.cc,v 1.1 2006/11/16 14:42:20 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/src/PhysListEmPenelope.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/PhysListEmPenelope.cc	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/src/PhysListEmPenelope.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysListEmPenelope.cc,v 1.3 2006/11/16 14:42:20 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/src/PhysicsList.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.cc,v 1.15 2007/07/04 11:14:33 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.cc,v 1.16 2008/06/11 15:17:57 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -50,4 +50,5 @@
 #include "G4EmStandardPhysics_option1.hh"
 #include "G4EmStandardPhysics_option2.hh"
+#include "G4EmStandardPhysics_option3.hh"
 #include "PhysListEmLivermore.hh"
 #include "PhysListEmPenelope.hh"
@@ -150,4 +151,9 @@
     G4cout << "PhysicsList::AddPhysicsList <" << name << ">" << G4endl;
 
+  } else if (name == "emstandard_opt3" && !emBuilderIsRegisted) {
+    RegisterPhysics(new G4EmStandardPhysics_option3());
+    emBuilderIsRegisted = true;
+    G4cout << "PhysicsList::AddPhysicsList <" << name << ">" << G4endl;
+
   } else if (name == "livermore" && !emBuilderIsRegisted) {
     RegisterPhysics(new PhysListEmLivermore());
Index: trunk/examples/extended/medical/GammaTherapy/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/PhysicsListMessenger.cc	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/src/PhysicsListMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.3 2006/06/29 17:28:04 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/vis.mac
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/vis.mac	(revision 1187)
+++ trunk/examples/extended/medical/GammaTherapy/vis.mac	(revision 1230)
@@ -34,5 +34,5 @@
 #
 ####/vis/open DAWNFILE
-/vis/open OGLSQT
+/vis/open OGLIX
 #
 # Draw scene
Index: trunk/examples/extended/medical/fanoCavity/GNUmakefile
===================================================================
--- trunk/examples/extended/medical/fanoCavity/GNUmakefile	(revision 1187)
+++ trunk/examples/extended/medical/fanoCavity/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.1 2007/01/19 17:20:26 maire Exp $
+# $Id: GNUmakefile,v 1.2 2008/06/11 15:25:38 vnivanch Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -17,15 +17,5 @@
 #### G4ANALYSIS_USE := true
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
-
 include $(G4INSTALL)/config/architecture.gmk
-
-ifdef G4ANALYSIS_USE
-  # for the aida-config command see the README file
-  CPPFLAGS += `aida-config --include`
-  LOADLIBS += `aida-config --lib`
-endif
 
 include $(G4INSTALL)/config/binmake.gmk
@@ -34,5 +24,5 @@
 	rm -f g4*.prim g4*.eps g4*.wrl
 	rm -f .DAWN_*
-	
+
 histclean:
 	rm ${G4WORKDIR}/tmp/${G4SYSTEM}/${G4TARGET}/HistoManager.o
Index: trunk/examples/extended/medical/fanoCavity/fanoCavity.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/fanoCavity.cc	(revision 1187)
+++ trunk/examples/extended/medical/fanoCavity/fanoCavity.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: fanoCavity.cc,v 1.6 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/DetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/medical/fanoCavity/include/DetectorConstruction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.2 2007/10/08 12:05:02 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/DetectorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/medical/fanoCavity/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.2 2007/10/08 12:05:02 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/EventAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/EventAction.hh	(revision 1187)
+++ trunk/examples/extended/medical/fanoCavity/include/EventAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.3 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/EventActionMessenger.hh	(revision 1187)
+++ trunk/examples/extended/medical/fanoCavity/include/EventActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/HistoManager.hh	(revision 1187)
+++ trunk/examples/extended/medical/fanoCavity/include/HistoManager.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.hh,v 1.4 2007/11/13 11:31:54 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/HistoMessenger.hh	(revision 1187)
+++ trunk/examples/extended/medical/fanoCavity/include/HistoMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.2 2007/11/13 11:31:54 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/MyKleinNishinaCompton.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/MyKleinNishinaCompton.hh	(revision 1187)
+++ trunk/examples/extended/medical/fanoCavity/include/MyKleinNishinaCompton.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: MyKleinNishinaCompton.hh,v 1.3 2007/05/23 08:40:21 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: MyKleinNishinaCompton.hh,v 1.4 2009/10/25 19:06:26 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
@@ -36,4 +36,5 @@
 
 class DetectorConstruction;
+class MyKleinNishinaMessenger;
 class G4ParticleChangeForGamma;
 
@@ -66,6 +67,7 @@
 protected:
 
-  DetectorConstruction* detector;
-  G4double              CrossSectionFactor;
+  DetectorConstruction*    detector;
+  MyKleinNishinaMessenger* pMessenger;
+  G4double  CrossSectionFactor;
 
 };
Index: trunk/examples/extended/medical/fanoCavity/include/MyMollerBhabhaModel.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/MyMollerBhabhaModel.hh	(revision 1187)
+++ trunk/examples/extended/medical/fanoCavity/include/MyMollerBhabhaModel.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: MyMollerBhabhaModel.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
Index: trunk/examples/extended/medical/fanoCavity/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PhysicsList.hh	(revision 1187)
+++ trunk/examples/extended/medical/fanoCavity/include/PhysicsList.hh	(revision 1230)
@@ -24,10 +24,7 @@
 // ********************************************************************
 //
+// $Id: PhysicsList.hh,v 1.4 2009/10/25 19:06:26 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
-// $Id: PhysicsList.hh,v 1.3 2007/10/02 14:42:51 maire Exp $
-// GEANT4 tag $Name:  $
-//
-// 
-
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -36,39 +33,35 @@
 #define PhysicsList_h 1
 
-#include "G4VUserPhysicsList.hh"
+#include "G4VModularPhysicsList.hh"
 #include "globals.hh"
 
+class G4VPhysicsConstructor;
+
 class DetectorConstruction;
-class MyKleinNishinaCompton;
 class PhysicsListMessenger;
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-class PhysicsList: public G4VUserPhysicsList
+class PhysicsList: public G4VModularPhysicsList
 {
-  public:
-    PhysicsList(DetectorConstruction*);
-   ~PhysicsList();
+public:
+  PhysicsList(DetectorConstruction*);
+  virtual ~PhysicsList();
 
-    // Construct particle and physics
-    void ConstructParticle();
-    void ConstructProcess();
- 
-    void SetCuts();
+  void ConstructParticle();
+        
+  void AddPhysicsList(const G4String& name);    
+  void ConstructProcess();    
+  void AddStepMax(); 
+  
+  void SetCuts();      
     
-    // these methods Construct physics processes and register them
-    void ConstructEM();
-    void AddStepMax();
-    
-    void SetComptonCSfactor(G4double);
-    void SingleCoulombScattering (G4bool);    
-    void RegisterBrem (G4bool);
-    
-  private:
-    DetectorConstruction*  detector;
-    MyKleinNishinaCompton* comptonModel;
-    G4bool                 singleScattering;        
-    G4bool                 registerBrem;    
-    PhysicsListMessenger*  pMessenger;    
+private:
+
+  DetectorConstruction* detector;
+  PhysicsListMessenger* pMessenger; 
+
+  G4String emName;
+  G4VPhysicsConstructor*  emPhysicsList;
 };
 
@@ -77,4 +70,2 @@
 #endif
 
-
-
Index: trunk/examples/extended/medical/fanoCavity/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PhysicsListMessenger.hh	(revision 1187)
+++ trunk/examples/extended/medical/fanoCavity/include/PhysicsListMessenger.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsListMessenger.hh,v 1.2 2007/10/02 14:42:51 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsListMessenger.hh,v 1.3 2009/10/25 19:06:26 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -33,11 +33,11 @@
 #define PhysicsListMessenger_h 1
 
+#include "G4UImessenger.hh"
 #include "globals.hh"
-#include "G4UImessenger.hh"
 
 class PhysicsList;
 class G4UIdirectory;
-class G4UIcmdWithADouble;
-class G4UIcmdWithABool;
+class G4UIcmdWithADoubleAndUnit;
+class G4UIcmdWithAString;
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -45,5 +45,6 @@
 class PhysicsListMessenger: public G4UImessenger
 {
-  public:  
+  public:
+  
     PhysicsListMessenger(PhysicsList* );
    ~PhysicsListMessenger();
@@ -51,10 +52,10 @@
     void SetNewValue(G4UIcommand*, G4String);
     
-  private:  
-    PhysicsList*        pPhysicsList;   
-    G4UIdirectory*      physDir;        
-    G4UIcmdWithADouble* csFactor;
-    G4UIcmdWithABool*   singleScat;      
-    G4UIcmdWithABool*   brem;    
+  private:
+  
+    PhysicsList*               pPhysicsList;
+    
+    G4UIdirectory*             physDir;
+    G4UIcmdWithAString*        pListCmd;
 };
 
Index: trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorAction.hh	(revision 1187)
+++ trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
